%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Mock-Guard
Version:       0.10
Release:       1mamba
Summary:       Test::Mock::Guard - Simple mock test library using RAII
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/X/XA/XAICRON/Test-Mock-Guard-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Class-Load
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Test::Mock::Guard - Simple mock test library using RAII.

%prep
%setup -q -n Test-Mock-Guard-%{version}

%build
%{__perl} Build.PL installdirs=vendor

./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README.md

%changelog
* Thu Oct 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1mamba
- package created using the webbuild interface
